## net.sf.statcvs.reports
Interface TableReport

All Known Implementing Classes:
  AuthorsForDirectoryTableReport, CloudCommitTableReport, DevelopersOfTheMonthTable, DevelopersRollingTableReport, DevelopersTableReport, DirectoriesForAuthorTableReport, DirectoriesTableReport, FilesWithMostRevisionsTableReport, FileTypeReport, LargestFilesTableReport, ModuleTableReport, TagReport, TopDevelopersTableReport

    public interface TableReport

A table report generates a `Table` from some data source.

Version:
  $Id: TableReport.java,v 1.2 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Method Summary
`void` `calculate()` Calculates the report from the source data.
`Table` `getTable()` Returns the table data model.

Method Detail

### calculate

    void calculate()

  Calculates the report from the source data.

### getTable

    Table getTable()

  Returns the table data model.

  Returns:
    the table data model